Assets
Update Asset
Update an existing asset’s properties, asset model, and/or installation date.
All fields are optional. Returns the updated asset details.
PATCH
/
entities
/
asset
/
{asset_id}
Update Asset
curl --request PATCH \
--url https://api-sandbox.axle.energy/entities/asset/{asset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"power_kw": 1,
"capacity_kwh": 1
},
"asset_model": "<string>",
"installation_date": "2023-12-25"
}
'import requests
url = "https://api-sandbox.axle.energy/entities/asset/{asset_id}"
payload = {
"properties": {
"power_kw": 1,
"capacity_kwh": 1
},
"asset_model": "<string>",
"installation_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {power_kw: 1, capacity_kwh: 1},
asset_model: '<string>',
installation_date: '2023-12-25'
})
};
fetch('https://api-sandbox.axle.energy/entities/asset/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"properties": {
"power_kw": 1,
"capacity_kwh": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Successfully updated asset
Response model for asset information.
Axle's internal UUID for the asset
Vendor-specific identifier for the asset
Type of asset
Available options:
boundary meter, charger, battery, heat pump, hot water tank, frequency meter, electric_vehicle, pv inverter ID of the site where the asset is located
Optional asset properties
Show child attributes
Show child attributes
Was this page helpful?
Previous
Delete assetDelete an asset by its Axle UUID.
The asset will be deleted if it exists. Returns a confirmation message upon successful deletion.
Next
⌘I
Update Asset

